package com.qmth.themis.business.bean.admin;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 考试列表集合
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2023/10/27
 */
public class ExamListBean implements Serializable {

    @ApiModelProperty(name = "考试场次id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long examActivityId;

    @ApiModelProperty(name = "考场编码集合")
    private String roomCode;

    public ExamListBean() {

    }

    public ExamListBean(Long examActivityId, String roomCode) {
        this.examActivityId = examActivityId;
        this.roomCode = roomCode;
    }

    public String getRoomCode() {
        return roomCode;
    }

    public void setRoomCode(String roomCode) {
        this.roomCode = roomCode;
    }

    public Long getExamActivityId() {
        return examActivityId;
    }

    public void setExamActivityId(Long examActivityId) {
        this.examActivityId = examActivityId;
    }
}

